VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4725
   ClientLeft      =   3105
   ClientTop       =   2100
   ClientWidth     =   8460
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   315
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   564
   Begin VB.TextBox txtText 
      Height          =   285
      Left            =   5160
      TabIndex        =   7
      Text            =   "CVIEW"
      Top             =   0
      Width           =   1215
   End
   Begin VB.ComboBox cboWeight 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   3240
      List            =   "Form1.frx":0018
      Style           =   2  'Dropdown List
      TabIndex        =   6
      Top             =   0
      Width           =   1095
   End
   Begin VB.TextBox txtHeight 
      Height          =   285
      Left            =   600
      TabIndex        =   4
      Text            =   "100"
      Top             =   0
      Width           =   495
   End
   Begin VB.TextBox txtWidth 
      Height          =   285
      Left            =   1920
      TabIndex        =   2
      Text            =   "50"
      Top             =   0
      Width           =   495
   End
   Begin VB.ComboBox cboFont 
      Height          =   315
      Left            =   0
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   360
      Width           =   6015
   End
   Begin VB.Label Label1 
      Caption         =   "Text"
      Height          =   255
      Index           =   3
      Left            =   4560
      TabIndex        =   8
      Top             =   0
      Width           =   495
   End
   Begin VB.Label Label1 
      Caption         =   "Weight"
      Height          =   255
      Index           =   2
      Left            =   2640
      TabIndex        =   5
      Top             =   0
      Width           =   615
   End
   Begin VB.Label Label1 
      Caption         =   "Height"
      Height          =   255
      Index           =   1
      Left            =   0
      TabIndex        =   3
      Top             =   0
      Width           =   495
   End
   Begin VB.Label Label1 
      Caption         =   "Width"
      Height          =   255
      Index           =   0
      Left            =   1320
      TabIndex        =   1
      Top             =   0
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function CreateFont Lib "gdi32" Alias "CreateFontA" (ByVal H As Long, ByVal W As Long, ByVal E As Long, ByVal O As Long, ByVal W As Long, ByVal i As Long, ByVal u As Long, ByVal S As Long, ByVal C As Long, ByVal OP As Long, ByVal CP As Long, ByVal Q As Long, ByVal PAF As Long, ByVal F As String) As Long
Private Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long

Private Const FW_DONTCARE = 0
Private Const FW_THIN = 100
Private Const FW_EXTRALIGHT = 200
Private Const FW_ULTRALIGHT = 200
Private Const FW_LIGHT = 300
Private Const FW_NORMAL = 400
Private Const FW_REGULAR = 400
Private Const FW_MEDIUM = 500
Private Const FW_SEMIBOLD = 600
Private Const FW_DEMIBOLD = 600
Private Const FW_BOLD = 700
Private Const FW_EXTRABOLD = 800
Private Const FW_ULTRABOLD = 800
Private Const FW_HEAVY = 900
Private Const FW_BLACK = 900

' Make a customized font and return its handle.
Private Function CustomFont(ByVal hgt As Long, ByVal wid As Long, ByVal escapement As Long, ByVal orientation As Long, ByVal wgt As Long, ByVal is_italic As Long, ByVal is_underscored As Long, ByVal is_striken_out As Long, ByVal face As String) As Long
Const CLIP_LH_ANGLES = 16   ' Needed for tilted fonts.

    CustomFont = CreateFont( _
        hgt, wid, escapement, orientation, wgt, _
        is_italic, is_underscored, is_striken_out, _
        0, 0, CLIP_LH_ANGLES, 0, 0, face)
End Function

Private Sub ShowFont()
Dim wid As Long
Dim hgt As Long
Dim wgt As Long
Dim newfont As Long
Dim oldfont As Long

    On Error Resume Next

    ' Select the new font.
    wid = CLng(txtWidth.Text)
    hgt = CLng(txtHeight.Text)
    wgt = cboWeight.ItemData(cboWeight.ListIndex)
    newfont = CustomFont(hgt, wid, 0, 0, _
        wgt, False, False, False, cboFont.Text)
    oldfont = SelectObject(hdc, newfont)

    ' Display the text.
    Line (0, 0)-(1000, 1000), BackColor, BF
    CurrentX = 10
    CurrentY = cboFont.Height + cboFont.Top + 10
    Print txtText.Text
    Picture = Image

    ' Restore the original font.
    newfont = SelectObject(hdc, oldfont)

    ' Free font resources (important!)
    DeleteObject newfont
End Sub

Private Sub cboFont_Click()
    ShowFont
End Sub
Private Sub cboWeight_Click()
    ShowFont
End Sub

Private Sub Form_Load()
Dim i As Integer

    AutoRedraw = True
    ScaleMode = vbPixels

    ' Make a list of fonts.
    cboFont.Clear
    For i = 0 To Screen.FontCount - 1
        cboFont.AddItem Screen.Fonts(i)
    Next i

    cboWeight.ListIndex = 0
    cboFont.ListIndex = 0
End Sub
Private Sub Form_Resize()
Dim wid As Single

    cboFont.Width = ScaleWidth

    wid = ScaleWidth - txtText.Left
    If wid < 10 Then wid = 10
    txtText.Width = wid
End Sub


Private Sub txtHeight_Change()
    ShowFont
End Sub


Private Sub txtText_Change()
    ShowFont
End Sub

Private Sub txtWidth_Change()
    ShowFont
End Sub


